AndroMDA plugin not working after upgrade to poseidon PE 2.6

AndroMDA plugin not working after upgrade to poseidon PE 2.6

Postby Guest » Sat Oct 23, 2004 10:47 am

Hello,

I just upgraded poseidon PE from 2.5.1 to 2.6 and AndroMDA plugin is not working anymore.

I double checked all the reuired jars are still accessible and before updating I saved "Poseidon for UML.lax" to get back the working class path in the current .lax

Is this a known issue?


Thanks in advance


Regards

Raul
Guest
 

Re: AndroMDA plugin not working after upgrade to poseidon PE

Postby [gw] Jesco von Voss » Tue Oct 26, 2004 10:32 am

We're sorry for the delay - we're currently working on AndroMDA. Version 2.1 should be available in the next hours.

JvV
Jesco von Voss
[gw] Jesco von Voss
 
Posts: 273
Joined: Sat Jan 18, 2003 10:08 am
Location: Hamburg

Re: AndroMDA plugin not working after upgrade to poseidon PE

Postby Guest » Tue Oct 26, 2004 5:12 pm

No problem.. just wanted to be sure I didn't break anything this time ;)

thank you very much!

Regards

Raul
Guest
 

Re: AndroMDA plugin not working after upgrade to poseidon PE

Postby Guest » Sat Oct 30, 2004 2:17 am

Hello,

I upgraded the plugin too but nothing happens. There is no AndroMDA tab anymore and the andromda items in the generation menu aren't there anymore.

I attach my .lax file just in case I missed something (I copied the classpath from the 2.5 version which had the plugin working)

Thanks in advance!!

Raul
Guest
 

Re: AndroMDA plugin not working after upgrade to poseidon PE

Postby Guest » Wed Nov 10, 2004 7:26 pm

Hello again,

Could you see if there's something wrong with my plugin setup?

which are the required AndroMDA and Ant versions?


Thanks in advance

Raul
Guest
 

Re: AndroMDA plugin not working after upgrade to poseidon PE

Postby [gw] Matthias Köster » Tue Nov 30, 2004 6:40 pm

Hi Raul,

Are you sure that you have copied everything correctly?
When i review your lax file, it contains the line:

lax.class.path=lib/poseidon.jar;lib/umlplugin.jar;lib/AndroMDA.jar;lib/ant.jar;lib/optional.jar;C:\\andromda\\andromda-core\\andromda.jar;C:\\andromda\\andromda-core\\lib\\commons-digester.jar;C:\\andromda\\andromda-core\\lib\\commons-collections.jar;C:\\andromda\\andromda-core\\lib\\commons-beanutils.jar;C:\\andromda\\andromda-core\\lib\\commons-logging.jar;C:\\andromda\\andromda-ejb\\andromda-ejb.jar;C:\\andromda\\cartridges\\andromda-java\\andromda-java.jar;C:\\andromda\\cartridges\\andromda-struts\\andromda-struts.jar;C:\\andromda\\cartridges\\andromda-hibernate\\andromda-hibernate.jar;lib/floating-server.jar;lax.jar

And this looks like a mix of unix and windows path names...

I would suggest to change it to sth like:
lax.class.path=lib\\poseidon.jar;lib\\umlplugin.jar;lib\\AndroMDA.jar;lib\\ant.jar;lib\\optional.jar;C:\\andromda\\andromda-core\\andromda.jar;C:\\andromda\\andromda-core\\lib\\commons-digester.jar;C:\\andromda\\andromda-core\\lib\\commons-collections.jar;C:\\andromda\\andromda-core\\lib\\commons-beanutils.jar;C:\\andromda\\andromda-core\\lib\\commons-logging.jar;C:\\andromda\\andromda-ejb\\andromda-ejb.jar;C:\\andromda\\cartridges\\andromda-java\\andromda-java.jar;C:\\andromda\\cartridges\\andromda-struts\\andromda-struts.jar;C:\\andromda\\cartridges\\andromda-hibernate\\andromda-hibernate.jar;lib\\floating-server.jar;lax.jar


Regards,
Matthias K?ster
Gentleware AG
Matthias Köster [Gentleware]
[gw] Matthias Köster
 
Posts: 196
Joined: Sat Jan 18, 2003 10:00 am

Re: AndroMDA plugin not working after upgrade to poseidon PE

Postby Guest » Tue Jan 18, 2005 11:42 pm

Hi Matthias,

I modified the classpath as you suggested and there was no change..

I found this in the poseidon log that could help to solve the issue:

2005-01-18 23:36:35,578 INFO [main ]: [INFO] Loaded plug-ins: com.gentleware.poseidon.uml14 (2.6/1); com.gentleware.codeGen.umltojava (2.0/2.0); com.gentleware.poseidon.uml.reveng (2.3/1); com.gentleware.poseidon.enhancedEditor (2.3/1); com.gentleware.umldoc (2.3/2.3); com.gentleware.poseidon.jarImport (2.3/2); com.gentleware.mdlimport (2.0.0/2.0.0); com.gentleware.poseidon.roundtrip (2.3/1); com.gentleware.codegen.umltoidl (2.0/2.0); com.gentleware.codegen.umltovbnet (1.0/1.0); com.gentleware.codegen.umltocsharp (1.0/1.0); com.gentleware.codegen.umltophp (1.0/1.0); com.gentleware.codegen.umltodelphi (2.0/2.0); com.gentleware.codegen.umltoddl (2.0/2.0); com.gentleware.codegen.umltoperl (2.0/2.0); com.gentleware.codegen.umltocpp (1.0.0/1.0.0); com.yworks.umllayout (1/1); com.gentleware.AndroMDA (2/2)

--- other log lines


2005-01-18 23:36:43,015 ERROR [main ]: [PoseidonModuleItem] exception while restoring code
java.lang.NoSuchMethodError: org.argouml.ui.TabSpawnable.<init>(Ljava/lang/String;)V
at com.gentleware.andromda.AndroMDATab.<init>(AndroMDATab.java:45)
at com.gentleware.andromda.AndroMDAInstall.install(AndroMDAInstall.java:24)
at com.gentleware.andromda.AndroMDAPlugin.installed(AndroMDAPlugin.java:23)
at com.gentleware.andromda.AndroMDAPlugin.restored(AndroMDAPlugin.java:31)
at org.argouml.util.plugin.PoseidonModuleItem.restoreCode(Unknown Source)
at org.argouml.util.plugin.PoseidonModuleInstaller.initialize(Unknown Source)
at com.gentleware.poseidon.Poseidon.A(Unknown Source)
at com.gentleware.poseidon.Poseidon.main(Unknown Source)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at com.zerog.lax.LAX.launch(DashoA8113)
at com.zerog.lax.LAX.main(DashoA8113)


Regards,

Raul
Guest
 

Re: AndroMDA plugin not working after upgrade to poseidon PE

Postby Guest » Tue Aug 16, 2005 10:29 pm

Hi Matthias,

It's been several months since this issue is open and still cannot use this plugin :(

Is there anything I can do to have it working?

Thanks!

Raul
Guest
 


Return to Plug-Ins

Who is online

Users browsing this forum: No registered users and 1 guest

cron